Debian Bug report logs - #622279
transition: python-defaults (switching default: 2.6 -> 2.7)

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Scott Kitterman <scott@kitterman.com>

Date: Mon, 11 Apr 2011 17:51:06 UTC

Severity: normal

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#622279; Package release.debian.org. (Mon, 11 Apr 2011 17:51:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Kitterman <scott@kitterman.com>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 11 Apr 2011 17:51:17 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Scott Kitterman <scott@kitterman.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: transition: python-defaults
Date: Mon, 11 Apr 2011 13:46:34 -0400
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: transition

This transition is the first major step of meeting the Python release goal for
Wheezy. The plan in this step is to drop python2.5 and add python2.7 in
supported versions.  The default python will remain python2.6.

The affected packages have been identified:

http://release.debian.org/transitions/python2.7.html

Because the default python version isn't changing, these do not have to be
done all at once.  They can be done in smaller batches so as not to impact
other transitions or overload the buildds. It would be best to do packages
that are used by other packages as build-depends.  

There are a few packages that directly depend on python2.5 that will have to
be ported to a newer python version or removed, but the list is small and we
can deal with them in the context of the upcoming python2.5 removal bug and
not this transition.  They are:

freevo
gozerbot
libtuxcap
nagios-statd
python-multiprocessing

Of those, python-multiprocessing will definitely be removed since it's a
backport of a module included in python2.6 and later.

python2.7 is already in testing. python-support, python-central, distribute,
and python-stdlib-extensions will need updates.  I've discussed this with
maintainers/uploaders for those packages. They have either been in
experimental or are trivial to prepare and will be uploaded in coordination
with python-defaults.

-- System Information:
Debian Release: squeeze/sid
Architecture: i386 (i686)

Kernel: Linux 2.6.38-8-generic-pae (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Added blocking bug(s) of 622279: 616364 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Mon, 11 Apr 2011 19:02:53 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#622279; Package release.debian.org. (Mon, 11 Apr 2011 19:18:50 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 11 Apr 2011 19:18:50 GMT) Full text and rfc822 format available.

Message #12 received at 622279@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: Scott Kitterman <scott@kitterman.com>, 622279@bugs.debian.org
Subject: Re: Bug#622279: transition: python-defaults
Date: Mon, 11 Apr 2011 20:26:53 +0200
* Scott Kitterman (scott@kitterman.com) [110411 18:12]:
> This transition is the first major step of meeting the Python release goal for
> Wheezy. The plan in this step is to drop python2.5 and add python2.7 in
> supported versions.  The default python will remain python2.6.
> 
> The affected packages have been identified:
> 
> http://release.debian.org/transitions/python2.7.html
> 
> Because the default python version isn't changing, these do not have to be
> done all at once.  They can be done in smaller batches so as not to impact
> other transitions or overload the buildds. It would be best to do packages
> that are used by other packages as build-depends.  

Someone would need to create appropriate batches and feed them to
wanna-build. Last time that was done by Jakub.  Also, this means
(AFAIUI) that using python2.7 isn't really supported unless that is
finished.

Also, while doing so, one needs to make sure to not block an ongoing
transition, i.e. only schedule packages which are the same in testing
and unstable.

Some of the packages are arch-all and need (at least as of now) real
NMUs to get updated.


> There are a few packages that directly depend on python2.5 that will have to
> be ported to a newer python version or removed, but the list is small and we
> can deal with them in the context of the upcoming python2.5 removal bug and
> not this transition.  They are:
> 
> freevo
> gozerbot
> libtuxcap
> nagios-statd
> python-multiprocessing

Looking only at these packages, the can be removed from testing (plus
gozerbot-plugins), so that doesn't sound too bad.

> Of those, python-multiprocessing will definitely be removed since it's a
> backport of a module included in python2.6 and later.

As we want to get rid of python2.5, that sounds like an candidate for
an removal bug even as of now.

> python2.7 is already in testing. python-support, python-central, distribute,
> and python-stdlib-extensions will need updates.  I've discussed this with
> maintainers/uploaders for those packages. They have either been in
> experimental or are trivial to prepare and will be uploaded in coordination
> with python-defaults.

Ok.


In sum, sounds good to me as soon as someone volunteers to create
appropriate batches for the rebuilds.


Andi




Added blocking bug(s) of 622279: 622154, 618094, 606681, 622001, 621932, and 621993 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Thu, 14 Apr 2011 16:36:02 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Fri, 15 Apr 2011 22:04:05 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 622978 and 622976 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Sat, 16 Apr 2011 10:57:52 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 622279: 622966, 622978, and 622912 Request was from Julian Andres Klode <jak@debian.org> to control@bugs.debian.org. (Sat, 16 Apr 2011 12:36:15 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 622966, 622978, and 622912 Request was from Julian Andres Klode <jak@debian.org> to control@bugs.debian.org. (Sat, 16 Apr 2011 12:45:35 GMT) Full text and rfc822 format available.

Added indication that bug 622279 blocks 620975 Request was from Julian Andres Klode <jak@debian.org> to control@bugs.debian.org. (Sat, 16 Apr 2011 13:00:06 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 623165 Request was from St├ęphane Glondu <glondu@debian.org> to control@bugs.debian.org. (Sun, 17 Apr 2011 22:36:04 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 623578 Request was from kitterma@mailout00.controlledmail.com (Scott Kitterman) to control@bugs.debian.org. (Thu, 21 Apr 2011 15:42:04 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 624810, 624740, and 624429 Request was from kitterma@mailout00.controlledmail.com (Scott Kitterman) to control@bugs.debian.org. (Sun, 01 May 2011 19:03:05 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 614619 Request was from kitterma@mailout00.controlledmail.com (Scott Kitterman) to control@bugs.debian.org. (Sun, 01 May 2011 19:03:10 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 624824 Request was from kitterma@mailout00.controlledmail.com (Scott Kitterman) to control@bugs.debian.org. (Sun, 01 May 2011 21:42:10 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 624787 Request was from kitterma@mailout00.controlledmail.com (Scott Kitterman) to control@bugs.debian.org. (Mon, 02 May 2011 04:51:06 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 623927 and 606006 Request was from kitterma@mailout00.controlledmail.com (Scott Kitterman) to control@bugs.debian.org. (Mon, 02 May 2011 04:51:09 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 624889 Request was from kitterma@mailout00.controlledmail.com (Scott Kitterman) to control@bugs.debian.org. (Mon, 02 May 2011 16:54:05 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 624901 Request was from kitterma@mailout00.controlledmail.com (Scott Kitterman) to control@bugs.debian.org. (Mon, 02 May 2011 17:00:09 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 605839, 577321, 553961, 553930, and 614498 Request was from kitterma@mailout00.controlledmail.com (Scott Kitterman) to control@bugs.debian.org. (Wed, 04 May 2011 05:12:03 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 555079 and 580678 Request was from kitterma@mailout00.controlledmail.com (Scott Kitterman) to control@bugs.debian.org. (Wed, 04 May 2011 11:54:18 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 605875, 621402, 624925, 625171, 624777, 625011, 624811, 622027, 624982, 624597, 618055, 622072, 625135, 622070, 625115, 621992, 555767, and 625148 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Thu, 05 May 2011 00:21:03 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 625676 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Thu, 05 May 2011 00:39:03 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 618084 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Thu, 05 May 2011 00:54:03 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 625677 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Thu, 05 May 2011 00:57:03 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 625678 and 625679 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Thu, 05 May 2011 01:09:02 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 625707 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Thu, 05 May 2011 09:24:03 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 599127 and 608640 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Thu, 05 May 2011 10:06:12 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 625722 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Thu, 05 May 2011 13:00:23 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 625853 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Fri, 06 May 2011 13:46:03 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 625880 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Fri, 06 May 2011 15:39:08 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 623587 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Wed, 11 May 2011 21:21:11 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 622279: 605839 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Sun, 15 May 2011 22:12:05 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 625151, 626020, 626259, 625137, 626199, 626421, and 626800 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Sun, 15 May 2011 22:12:06 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 622279: 555079, 577321, 580678, 624925, 624777, and 625148 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Sun, 15 May 2011 23:03:03 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 626858 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Sun, 15 May 2011 23:03:07 GMT) Full text and rfc822 format available.

Changed Bug title to 'transition: python-defaults (switching default: 2.6 -> 2.7)' from 'transition: python-defaults' Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Mon, 30 May 2011 20:03:02 GMT) Full text and rfc822 format available.

Removed tag(s) pending. Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Mon, 30 May 2011 20:03:03 GMT) Full text and rfc822 format available.

Removed indication that bug 622279 blocks 620975 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Mon, 30 May 2011 20:03:04 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 555585, 625027, 621829, 628243, 618159, 624975, 621948, 606642, 625108, 625153, 624917, 625040, 625087, 610777, 624950, 624940, 621879, and 554552 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Wed, 01 Jun 2011 11:18:05 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 628820 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Wed, 01 Jun 2011 16:45:04 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 628826 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Wed, 01 Jun 2011 16:45:06 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 628827, 628830, 628831, and 628828 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Wed, 01 Jun 2011 17:27:09 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 628852 and 628839 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Wed, 01 Jun 2011 21:21:25 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 628860 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Thu, 02 Jun 2011 00:09:02 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 606363 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Thu, 02 Jun 2011 12:36:05 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 629090, 629085, 629087, and 629091 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Fri, 03 Jun 2011 13:15:08 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 629122 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Fri, 03 Jun 2011 22:06:02 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 629148 and 629145 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Fri, 03 Jun 2011 22:06:04 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 626416 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Fri, 03 Jun 2011 22:45:07 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 629817 and 623418 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Wed, 08 Jun 2011 20:27:06 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 606382 Request was from Stefano Rivera <stefanor@debian.org> to control@bugs.debian.org. (Thu, 09 Jun 2011 16:27:06 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 622279: 606382 Request was from Stefano Rivera <stefanor@debian.org> to control@bugs.debian.org. (Fri, 10 Jun 2011 12:57:12 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 622279: 555585 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Mon, 20 Jun 2011 22:18:09 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 622279: 626858 and 614619 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Mon, 20 Jun 2011 22:54:03 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 622279: 621829, 628831, and 626020 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Thu, 23 Jun 2011 22:45:09 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 631800 Request was from Sebastian Ramacher <s.ramacher@gmx.at> to control@bugs.debian.org. (Mon, 27 Jun 2011 10:39:05 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 622279: 624810 Request was from Stefano Rivera <stefanor@debian.org> to control@bugs.debian.org. (Mon, 27 Jun 2011 19:33:02 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 622279: 625027 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Mon, 27 Jun 2011 19:51:03 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 631821, 631820, and 631823 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Mon, 27 Jun 2011 19:51:04 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 625520 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Mon, 27 Jun 2011 19:51:07 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 631856 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Mon, 27 Jun 2011 20:39:06 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 622279: 625027, 621829, 624975, and 614619 Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Wed, 29 Jun 2011 12:05:19 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 622279: 621993 and 614498 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Thu, 30 Jun 2011 12:24:03 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 632228 and 632225 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Thu, 30 Jun 2011 21:48:04 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 632234 and 632249 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Thu, 30 Jun 2011 21:48:06 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 632367 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Fri, 01 Jul 2011 21:48:10 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 631998 and 631999 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Sat, 02 Jul 2011 18:15:06 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 622279: 631998 and 631999 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Sat, 02 Jul 2011 18:39:03 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 633408 Request was from kitterma@mailout00.controlledmail.com (Scott Kitterman) to control@bugs.debian.org. (Sun, 10 Jul 2011 02:39:03 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 633461 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Sun, 10 Jul 2011 13:42:02 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 632582 and 633457 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Sun, 10 Jul 2011 13:42:04 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 633145, 634454, 635356, 623027, 634763, 634528, and 634452 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Mon, 25 Jul 2011 14:57:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#622279; Package release.debian.org. (Tue, 02 Aug 2011 13:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Kitterman <debian@kitterman.com>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 02 Aug 2011 13:39:04 GMT) Full text and rfc822 format available.

Message #155 received at 622279@bugs.debian.org (full text, mbox):

From: Scott Kitterman <debian@kitterman.com>
To: 622279@bugs.debian.org
Subject: From #debian-release discussion on the bug
Date: Tue, 2 Aug 2011 09:37:07 -0400
[Message part 1 (text/plain, inline)]
[04:46:56] <luk> ScottK: especially gobject-introspection, libimobiledevice, 
libvirt and openbabel should get fixed as they would take too many reverse deps 
with them when considering temporary removal from testing
[signature.asc (application/pgp-signature, inline)]

Removed blocking bug(s) of 622279: 623027 and 634763 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Tue, 23 Aug 2011 16:03:12 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 639072, 639119, 635498, 638692, and 634544 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Sat, 03 Sep 2011 20:36:04 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 5.8.0-2, send any further explanations to Scott Kitterman <scott@kitterman.com> Request was from alastair.mckinstry@sceal.ie (Alastair McKinstry) to control@bugs.debian.org. (Mon, 12 Sep 2011 11:03:21 GMT) Full text and rfc822 format available.

Message sent on to Scott Kitterman <scott@kitterman.com>:
Bug#622279. (Mon, 12 Sep 2011 11:12:03 GMT) Full text and rfc822 format available.

Message #164 received at 622279-submitter@bugs.debian.org (full text, mbox):

From: alastair.mckinstry@sceal.ie (Alastair McKinstry)
To: control@bugs.debian.org
Cc: 622279-submitter@bugs.debian.org
Subject: closing 622279
Date: Mon, 12 Sep 2011 11:52:55 +0100 (IST)
close 622279 5.8.0-2
thanks

5.8.0-2 has been uploaded to experimental.




Bug No longer marked as fixed in versions 5.8.0-2 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 12 Sep 2011 11:45:03 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 638247, 640581, 640626, 640564, and 641346 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Mon, 12 Sep 2011 18:57:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#622279; Package release.debian.org. (Sun, 25 Sep 2011 16:33:43 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 25 Sep 2011 16:33:43 GMT) Full text and rfc822 format available.

Message #173 received at 622279@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Scott Kitterman <scott@kitterman.com>, 622279@bugs.debian.org
Cc: python@packages.debian.org
Subject: Re: Bug#622279: transition: python-defaults
Date: Sun, 25 Sep 2011 18:30:29 +0200
On Mon, Apr 11, 2011 at 13:46:34 -0400, Scott Kitterman wrote:

> Package: release.debian.org
> Severity: normal
> User: release.debian.org@packages.debian.org
> Usertags: transition
> 
> This transition is the first major step of meeting the Python release goal for
> Wheezy. The plan in this step is to drop python2.5 and add python2.7 in
> supported versions.  The default python will remain python2.6.
> 
Let's go ahead with the next step and flip the default to 2.7.

Cheers,
Julien




Added blocking bug(s) of 622279: 641637, 641488, and 642708 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Sun, 25 Sep 2011 19:24:07 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Tue, 27 Sep 2011 19:51:05 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 643458 and 643440 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Wed, 28 Sep 2011 09:42:31 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 643671 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Wed, 28 Sep 2011 15:09:03 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 643806 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 29 Sep 2011 20:36:03 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 643814 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Fri, 30 Sep 2011 00:45:02 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 643848 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Fri, 30 Sep 2011 13:36:07 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 640340 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sat, 01 Oct 2011 14:12:03 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 642782 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sat, 01 Oct 2011 14:45:10 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 643999 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sat, 01 Oct 2011 15:21:07 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 644064 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 02 Oct 2011 12:48:36 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 622279: 644297 and 644298 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Tue, 04 Oct 2011 21:53:16 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Thu, 06 Oct 2011 17:57:03 GMT) Full text and rfc822 format available.

Notification sent to Scott Kitterman <scott@kitterman.com>:
Bug acknowledged by developer. (Thu, 06 Oct 2011 17:57:03 GMT) Full text and rfc822 format available.

Message #202 received at 622279-done@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Scott Kitterman <scott@kitterman.com>, 622279-done@bugs.debian.org
Subject: Re: Bug#622279: transition: python-defaults
Date: Thu, 6 Oct 2011 19:52:31 +0200
On Mon, Apr 11, 2011 at 13:46:34 -0400, Scott Kitterman wrote:

> Package: release.debian.org
> Severity: normal
> User: release.debian.org@packages.debian.org
> Usertags: transition
> 
> This transition is the first major step of meeting the Python release goal for
> Wheezy. The plan in this step is to drop python2.5 and add python2.7 in
> supported versions.  The default python will remain python2.6.
> 
> The affected packages have been identified:
> 
> http://release.debian.org/transitions/python2.7.html
> 
I think we can call this one done.  Thanks to everyone involved.

Cheers,
Julien




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 04 Nov 2011 07:44:02 GMT) Full text and rfc822 format available.

Added indication that bug 622279 blocks 690823 Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Thu, 18 Oct 2012 02:54:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:36:47 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.